module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[2]={
			args={sound_path=[[Magic/sound_magic_3201_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[3]={
			args={
				excutor=[[atkobj]],
				face_to=[[fixed_pos]],
				pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				time=0.1,
			},
			func_name=[[FaceTo]],
			start_time=0.2,
		},
		[4]={
			args={action_name=[[attack1]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.2,
		},
		[5]={args={},func_name=[[MagcAnimStart]],start_time=0.83,},
		[6]={
			args={
				alive_time=0.6,
				begin_pos={base_pos=[[atk]],depth=0.6,relative_angle=0,relative_dis=1,},
				delay_time=0,
				ease_type=[[Linear]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack1_fly.prefab]],
					preload=true,
				},
				end_pos={base_pos=[[vic]],depth=0.6,relative_angle=0,relative_dis=-1,},
				excutor=[[vicobj]],
				move_time=0.6,
			},
			func_name=[[ShootEffect]],
			start_time=1.25,
		},
		[7]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack_hit1.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=1.8,
		},
		[8]={
			args={
				alive_time=0.5,
				begin_pos={base_pos=[[atk]],depth=0.6,relative_angle=0,relative_dis=1,},
				delay_time=0,
				ease_type=[[Linear]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack1_fly.prefab]],
					preload=true,
				},
				end_pos={base_pos=[[vic]],depth=0.6,relative_angle=0,relative_dis=-1,},
				excutor=[[vicobj]],
				move_time=0.5,
			},
			func_name=[[ShootEffect]],
			start_time=1.8,
		},
		[9]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.85,
		},
		[10]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack_hit1.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=2.4,
		},
		[11]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=2.45,
		},
		[12]={args={},func_name=[[MagcAnimEnd]],start_time=2.45,},
		[13]={args={},func_name=[[End]],start_time=3.45,},
	},
	group_cmds={},
	magic_anim_end_time=2.45,
	magic_anim_start_time=0.83,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack1_fly.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack_hit1.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack1_fly.prefab]],
		[4]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack_hit1.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
